<template>
  <div >
    <h1>{{ checkMsg }}</h1>
    <h2>Ende</h2>
    
  </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator';

@Component
export default class Second extends Vue {
  @Prop({ default: 'mounted' }) private msg!: string  ;

  checkMsg= this.msg



/**
 * check
 */
public check() : string{
  console.log('check')
  this.checkMsg = "CALLED!!"
  return this.checkMsg;
}



}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
